For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist least cost routings
      • POSTcreate a Least Cost Routing
      • GETretrieve least cost routing
      • PUTupdate least cost routing
      • DELdelete a least cost routing
      • POSTCreate least cost routing routes and carrier set entries
      • PUTupdate least cost routing routes and carrier set entries
      • GETlist least cost routings routes
      • POSTcreate a Least Cost Routing Routes
      • GETretrieve least cost routing route
      • PUTupdate least cost routing route
      • DELdelete a least cost routing route
      • GETlist least cost routings routes
      • POSTcreate a Least Cost Routing Carrier Set Entry
      • GETretrieve least cost routing carrier set entry
      • PUTupdate least cost routing carrier set entry
      • DELdelete a least cost routing carrier set entry
      • GETget all Least Cost Routings for a service provider
      • POSTcreate a Lest cost routing for a service provider
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCall Routing

get all Least Cost Routings for a service provider

GET
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/Lcrs
GET
/v1/ServiceProviders/:ServiceProviderSid/Lcrs
$curl https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/Lcrs \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "name": "twilioLcr",
4 "default_carrier_set_entry_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
5 }
6]
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

create a Lest cost routing for a service provider

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired

Response

Least cost routing listing
namestring
default_carrier_set_entry_sidstring

Errors

403
Forbidden Error
404
Not Found Error